loading
3 Comments

Tell us about yourself!

Complete Your Profile
  • TAndL1 commented on jeff.cartwright.562's instructable Install OpenHAB on Raspberry Pi5 months ago
    Install OpenHAB on Raspberry Pi

    Then, when I try to resolve it by using the apt-get -f install command, I am greeted by: E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

    Thanks, I'll try that now.

    I get through updating Mosquitto. When I try to run sudo apt-get install mosquitto mosquitto-clients, I get unmet dependency error below. Please help.You might want to run 'apt-get -f install' to correct these:The following packages have unmet dependencies: libice-dev : Depends: x11proto-core-dev but it is not going to be installed libsm-dev : Depends: x11proto-core-dev but it is not going to be installed libxau-dev : Depends: x11proto-core-dev but it is not going to be installed mosquitto : Depends: libwebsockets3 (>= 1.2) but it is not installable mosquitto-clients : Depends: libmosquitto1 (= 1.4.9-0mosquitto1) but it is not going to be installed

    View Instructable »